Emitted when a value is inserted into a RealTimeArray. This could be from a RealTimeArray.insert, RealTimeArray.push, RealTimeArray.unshift, or some other method.

### Hierarchy

- ArrayInsertEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- index
- local
- name
- sessionId
- user
- value
- NAME

## Properties

### element

element: ObservableArray

Implementation of IValueChangedEvent.element

The RealTimeArray or HistoricalArray which was modified

### index

index: number

The index at which the new value was inserted

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = ArrayInsertEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### value

value: ObservableElement<any>

A read-only representation of the value that was just inserted

### StaticNAME

NAME: "insert" = "insert"